import request from '@/utils/request'

// 查询模板项目列表
export function listTestTempItem(query) {
  return request({
    url: '/his/testTempItem/list',
    method: 'get',
    params: query
  })
}

// 查询模板项目详细
export function getTestTempItem(itemId) {
  return request({
    url: '/his/testTempItem/' + itemId,
    method: 'get'
  })
}

// 新增模板项目
export function addTestTempItem(data) {
  return request({
    url: '/his/testTempItem',
    method: 'post',
    data: data
  })
}

// 修改模板项目
export function updateTestTempItem(data) {
  return request({
    url: '/his/testTempItem',
    method: 'put',
    data: data
  })
}

// 删除模板项目
export function delTestTempItem(itemId) {
  return request({
    url: '/his/testTempItem/' + itemId,
    method: 'delete'
  })
}

// 导出模板项目
export function exportTestTempItem(query) {
  return request({
    url: '/his/testTempItem/export',
    method: 'get',
    params: query
  })
}
